Home Page

Welcome to SpeedFan

SpeedFan is a freeware program that monitors fan speeds, temperatures and voltages in computers with hardware monitoring chips. SpeedFan can even access S.M.A.R.T. info for those hard disks that support this feature (almost all :-)) and show hard disk temperatures too, if supported. At the lowest level, SpeedFan is an hardware monitoring software, but its main feature is that it can control the speed of the fans (depending on your sensor chip) according to the temperatures inside your pc, thus reducing noise and power consumption. Most Winbond sensors and ASUS AS99127F support fan speed changing, as well as others from MYSON, ANALOG DEVICES, NATIONAL SEMICONDUCTORS and ITE, but the motherboard should make use of available pins. This means that if you have, say, a W83782D on a BP6 then you're ok. If you have a W83782D on some GigaByte's... you're not :-)
SpeedFan works fine with Win9x, WinME, WinNT, Win2k and WinXP.
SpeedFan can be minimized to the tray and does its best to be compatible with other hardware monitoring softwares.

Warning:
Please note that SpeedFan is an extremely powerful tool. When first installed, it is configured only as an hardware monitoring tool. This means it won't try to change the speed of your fans. Changing the FSB is the other operation that should be done with care. Anyway: changing the FSB should cause no harm to your system but an hang up :-) Anyway: this is an advanced option too and you should try it only if you know what you're doing.

My position on CPU cooling and fan speed changing

How to configure SpeedFan

What if SpeedFan hangs while scanning the SMBus?


How to configure SpeedFan.

I have got an ABIT BP6. Its SMBus is supported by SpeedFan and it has got a WINBOND W83782D hardware monitoring chip. This W83782D, like several others from Winbond, shows two additional sensors that appear as two LM75. On my motherboard, the W83782D is both accessible through ISA and SMBus. In my configuration I’ve chosen to access it only through SMBus even though this is not the most relialable setting. ISA is, in fact, more stable, but I’ve chosen this setup for debugging purposes.

So, let’s start.

This is SpeedFan right after the very first run.

Those flames are not actually a problem. They are due to the fact that SpeedFan has been initially configured (by me) to expect lower values. Temperatures have been sorted trying to put at the top those that make more sense.

Let's got to the CONFIGURATION dialog.


My position on CPU cooling and fan speed changing

A lot of users are worried about fan speed changing. I agree with them, but not completely.
Like every other operation involving a PC and its hardware, not everybody should do it. I mean: even if I've got some knowledge about my car, I do not spend my time hacking it :-)

Anyway: changing fan speeds can't be considered that harmful, because every hardware manufacturer should have taken into account the chance that a fan will ever fail and most of us have got a PC with a fan that's no longer running since a long time.

Personally, I'm much more afraid of those heatsinks that require Hulk to set them up, and when you're done you hardly realize that all that force is held by a couple of really small plastic pieces that might easily break. What would happen then?

Have you ever considered the weight of a performance heatsink? Have you ever considered what happens if you move your PC for a lan party? A friend of mine broke his CPU transporting his PC this way.

One final note goes to those temperature sensors built into recent CPUs. Well... if you search the web you'll find a really interesting movie where a PIII, an Athlon and a P4 are filmed while the heatsink is removed: the PIII simply hangs, the Athlon lovely burns with the motherboard itself and the P4 simply slows down working perfectly and resuming normal clock speed when the heatsink is restored in place.

A second issue is about the chance that a fan will break after having been speed changed.
Well... that might happen, but, according to my experience, the chance is very low (0% for me :-)).

If it was that likely to happen (that a fan could break), why did almost every hardware monitoring chip manufacturer add that option? And why did motherboard manufacturers include the circuitry to support it? :-)


Logging facility

SpeedFan has full logging capabilities.
The options you can set are:

Enabled | : | this option completely enables or disables logging
Add header to file | : | when enabled, a new log file is started with the names of the fields on the first row
Decimal separator | : | this option is originally set according to your international settings, but you may change it to whatever you prefer
Max decimals | : | the logging facility tries to save space on disk. If you set this option to, say, 5, you will never get more than 5 decimal digits, but SpeedFan will remove least significant ones if they are zeroes
Days to keep | : | SpeedFan will keep at most this number of days worth of log files. Please note that this is not necessarily the maximum number of log files, as SpeedFan can create more than one log file per day

File format: log files contain values written in text format using the specified decimal separator. Values are separated by TAB. The first row in the file contains the names of the columns if the add header to file option has been selected.

Naming: log files are named SFLogYYYYMMDD.csv, where YYYY is the year (four digits), MM is the month (2 digits, zero padded) and DD is the day (2 digits, zero padded). If a file already exists by that name, the file that already exists is renamed according to the following naming scheme: SFLogYYYYMMDD-CCCC.csv, where CCCC is a increasing number. The new file is then created with the standard file name scheme.

Notes: whenever you change the options related with logging, SpeedFan starts a new log file.

Once you set the global options for logging, you have to choose what to log. Say that you want to log TEMP1 and TEMP3. Go to the TEMPERATURE tab, then select TEMP1. At the bottom of the window you will find a checkbox named LOGGED. Check it and TEMP1 will be logged to the log file. Then select TEMP3 and do the same. That's all.


How to SEND a REPORT

I do receive a lot of reports using the built-in facility.

What do I expect from your reports?

I'm always eager to get reports from unsupported hardware. The best reports for me are those where almost nothing has been found. I always work on them ASAP. Obviously, in order to be able to fix SpeedFan to try to make it work with that hardware, I need your support. I do have some computers, but not every kind of hardware :-) If you plan to receive help from me, you should specify a valid email address. Please note that, in order to add support for new hardware, I need to send to you a new beta (a beta version is a private version of the software before the actual, final, new release is ready). In order to do so I need from you a valid email address that is able to receive an attachment (less than 1MB).

What might you expect from reporting?

Most of all you should ask for support for your unrecognized hardware monitoring chips. If this is the case, please give me as many info as you can. For example: you might tell me if any other hardware monitoring software is able to detect it, which name it has, where it is located (ISA, SMBus,...), the name that might be written on your system manual, or, if you can, the names written on the chips on your motherboard. Usually, hardware monitoring chips have got more than 10 pins and do not have heatsinks (actually, I've never seen one with an heatsink :-)).
If you would like me to add support for your CLOCK (PLL) chip, you should carefully look at your motherboard and tell me the whole name. The clock chip is easy enough to find, as it is located near to a 14.xx MHz quartz (a small silver coated object protruding from the MB).

How to report

Before reporting, you might try to understand whether your motherboard supports fan speed changing or not. If you dare changing fan speeds, you might consider reading my point of view on this topic :-)
Please, note that fan speed changing does not require a 3-wire fan. Any fan should work, if the motherboard supports fan speed changing.
You should connect a fan to every fan header on your motherboard. If you do not have that many fans, keep in mind that not every fan header might be able to change fan speeds. On my ABIT BP6, for example, only 2 out of 3 fan headers support it. You should try to change fan header and try again.
The first step to check whether your motherboard is able to change fan speeds is trying to actually STOP fans. Set each speed down to 0%. Do not rely on reported fan speeds: reported fan speeds are usually wrong when coming to PWM modulation. Simply "listen" to your fans, or, better, look at them :-) If you are able to stop any fan, then it's likely to be possible to change fan speeds! Fan speed changing depends on some additional circuitry on the motherboard. Not every hardware manufacturer adds it. Depending on the actual circuitry, fan speed changing might be possible and might be more or less linear. After having discovered that you can stop a fan, you should try to understand the linearity (smoothness) of this variation. Try setting to 50%, 75% and the likes. Some motherboards do not vary fan speeds until when very low values are reached, like 20% or, even 2%. Try setting even 1% and check to see if there is any difference in speed.


How to debug the SMBus

If SpeedFan starts and then hangs while detecting your hardware, it might be due to a problem with your SMBus. Most hardware monitoring chips nowadays are connected to the SMBus. Anyway: it might be that you need not to access the SMBus in order to get hardware monitoring info. You can try this by running SpeedFan with the following command line switch:

/NOSMBSCAN

If SpeedFan runs just fine when started using the previous command line switch, then it means that there is some problem between SpeedFan and your SMBus.
I would like to know about problems and, therefore, please contact me and I will do my best to solve that issue.

In order to simplify the task of solving this incompatibility, I've added a special command line switch:

/SMBDEBUG

When you start SpeedFan using this command line switch, SpeedFan will avoid detecting your hardware monitoring chips and will open instead a debug window.

This window will help you scanning your SMBus, but will do that in several steps, to try to ease the task of detecting what's going on.
If you're just curious, you can run this debug window even if SpeedFan works flawlessly on your system :-)
This debug window will generate a file named SMBDEBUG.NFO located in the same directory as SPEEDFAN.EXE. This is the file I need to start understanding what's going on with your system and it is continuously updated by SpeedFan while debugging.

In the following explanation, we will assume that the system hangs when the button you pressed disappeared and no other button appeared after something like a couple of minutes.

In order to start debugging, you have to (guess what? :-)) press START. SpeedFan will start scanning your SMBus for available devices. This is a quick scan and should not hurt your system (at least, it didn't hurt all the systems I've tried so far :-)). I your system should ever hang while doing this first scan, please, send me the resulting SMBDEBUG.NFO file. You can find that file even after a reboot.

If the program didn't hang, this is what it will look like after a while:

As you can see, SpeedFan is showing which SMBus is currently being scanned. Almost every PC has got at most one SMBus, but some have more than one and, anyway, SpeedFan is perfectly able to handle almost any number of them (this is something I'm very proud of :-)).
In the previous window you can see that SpeedFan is ready to scan the chip located at address $2D (this may vary from system to system). Press the SCAN NEXT ADDRESS button and you will see a running number showing which register is currently being accessed. When the register reaches $FF, SpeedFan will move on the next available address and show the button again.

Whenever available, press the button. If SpeedFan hangs while scanning any of the available addresses, wait for the usual couple of minutes and then send me the SMBDEBUG.NFO debug file. It would be nice if you tell me which were the last scanned address and register.

If everything works fine (i.e. the system doesn't hang), you will see this final window:

Anyway: if your system was hanging when scanning the SMBus and did not when using the /NOSMBSCAN command line switch, then I guess you will never see this window :-)


How to set Advanced Options

Please note that setting these options might cause your system to become unstable. You should know what you are doing.

The Advanced Options tab allows you to set some specific options available from the hardware that SpeedFan found in your computer. After you have selected one of the available chips, the window will populate with all the options that are relevant to the chip you selected.

advanced options dialog

In this picture you can see the options related to the ITE IT8712F. Some options, like "FANx mult", "FANx div", "Temperature x offset" and "Reverse PWMx logic" are common to all the chips, when applicable. This means that every chip that is able to read any temperature will have a "Temperature x offset" for each of them. Some other property is specific to some chip.

We will take a closer look at the properties that appeared for the IT8712F since SpeedFan 4.19: "PWM x mode" and "PWMOUT clock". Up to SpeedFan 4.18, SpeedFan applied some custom settings when first detecting this chip. These settings allowed some computers to be able to change fan speeds, overriding some (eventually missing) settings applied by the BIOS. The fact that those settings were applied only upon detection caused the same settings to be overriden by the BIOS after a Resume from Hibernation, forcing you to restart SpeedFan to be able to change fan speeds again. Now those settings are no longer automatically applied. This means that some motherboards will no longer be able to change fan speeds. If this is your case, just enter CONFIG / ADVANCED and set "PWM x mode" to Software Controlled. I suggest you to set "PWMOUT clock" to 3M as this seems to be the best choice, but, if your fan is not too smooth when changing fan speeds or makes odd noises, you can try different settings.

Once you have verified that the new settings allow you to change fan speeds, you can reenter CONFIG / DIALOG and check "remember it" to instruct SpeedFan to set that option whenever it starts and whenever your computer resumes from suspend or hibernation.

Other interesting options are:

Temperature x offset | if you know that any one specific temperature reported by SpeedFan is lower or higher than the real one by a specific offset, you can use this option to fix it
FANx divisor | depending on this value, higher or lower fan RPMs can be properly read: set it to a low value (1 or 2) if you have a high RPM fan (above 4000 RPM) and set it to 4 or 8 if you have a slower fan. If any fan reports its speed as 0 RPM, give this option a try by setting a higher fan divisor
FANx mult + FANx div | do not confuse these options with "FANx divisor". The actual RPM value read by the hardware monitor chip will be multiplied by "FANx mult" and divided by "FANx div". If any fan is reporting, say, twice its real speed, simply set "FANx div" to 2.
Reverse PWMx logic | sometimes selecting higher fan speeds causes the fan to slow down. If this is what you are experiencing, simply set this option to ON and it will be fixed

The "Remember it" checkbox causes SpeedFan to apply the relevant change to any option whenever SpeedFan starts and when your computer is resumed from suspend and from hibernation.


Readings TAB

This is the main part of SpeedFan. Most of the time you will look at this page. Another page of interest would be the one related to hard disk S.M.A.R.T. values.

According to your hardware, on this page you will see:

CPU usage | If everything works fine, you will see here as many bars as many CPUs you've got. Each bar shows the CPU usage for each CPU. On my dual processor board, I can see 2 bars.
Fan RPMs Fan RPMs (revolutions per minute) are shown here. If you read 0, it might be due to too small a FAN DIVISOR. You can enter configuration dialog, on the ADVANCED tab and check to see if for your hardware monitoring chip SpeedFan support changing its setting. If it is supported, you might try setting it to a higher value (8 should do the trick for slow fans).
Please note that when you slow down fans by using SpeedFan's capabilities, reported RPMs might be odd. Usually you'll get very high reported speeds. This is mostly due to the fact that fan speeds changes are achieved by lowering the voltage sent to the fan itself. Most hardware monitoring chips do this voltage lowering by using PWM (Pulse Width Modulation). In poor terms, PWM means that the usual voltage is not always sent to the fan, but it is quickly turned on and off, thus simulating the effect of a lower voltage. This ON/OFF transition will cause the fan to improperly report its speed. Every fan reacts in a different way.
Consider that SpeedFan never relies on reported fan speeds when controlling them. Only temperatures are relevant and SpeedFan will lose no functionality even if you've got a two-wired fan that doesn't report its speed.
Temperatures Here you will find all the temperature readings that SpeedFan could detect. These include those from the hard disk (if it supports this feature) and from ghost sensors. Ghost sensors are those that either are improperly detected by SpeedFan or disconnected (not actually used by the motherboard to monitor anything). You can go to the TEMPERATURES tab in the configuration dialog and hide those temperatures you're not interested in.
Several users ask why I didn't show more self-explanatory names for each temperature. The problem is that I don't know which temperature each motherboard manufacturer actually connected to what :-(
As a rule of thumb, the higher (realistic) temperature is the CPU and the lower (realistic) one is from your CASE. CPU temperature can be recognized even because it's the one that rises faster when CPU usage is at full load for a few minutes.
Fan SPEEDS Here you can (try to) set a lower speed for your fans. You will find something here only if your hardware supports this feature. Please note that both your hardware monitoring chip must support it and your motherboard must include the needed circuitry. Several motherboards seem not to include this circuitry, even if their hardware monitoring chip (and, thus, SpeedFan) would be able to change fan speeds.
The first test you should consider trying (please read my considerations about fan speed changing) is setting each speed to 0%. If any fan stops (you should listen to it :-)) then you're on the right way. Try raising that percentage and try to understand if the speed can be smoothly changed. Do not rely on reported fan speeds, but "listen" to the sound :-)
If your motherboard can change fan speeds and it's not listed on my supported hardware web page, please let me know and tell me if you can change fan speeds, smoothly and if you can stop fans :-)
Voltages | Here you can find detected voltages. Once again, the datasheets for those hardware monitoring chips report reference circuitries to be used, but several motherboard manufacturers use different ones. SpeedFan shows voltages' names expected according to each datasheet. If they are different for your motherboard, feel free to use the VOLTAGES tab in the configuration dialog to change names.


Using the CLOCK tab you can change the FSB of your motherboard.

FSB is for Front Side BUS. It's the BUS clock speed for your CPU.

This is not for the faint hearted. Changing the FSB you can make your CPU run faster (but even slower, if you like), but, if you don't know what you're doing, it's likely that you'll end up hanging your PC :-) This is, usually, not a problem. In the worst case you should simply have to power cycle your PC, but I do not know which are all possible results of attempting to do so and, therefore, I have to warn you telling you that

you should change the clock speed only if your really know what you're doing: I won't be responsible for any damage

:-)

Prior to changing the clock, you should choose your motherboard model. If it doesn't appear amongst known motherboards you might contact me, but, please, be sure to know which is the EXACT clock generator you've got on your motherboard. You can even directly select your clock generator (your motherboard might have the same clock generator as another supported motherboard). If it works for you, feel free to let me know.

At the bottom of the window you can find a listing containing all available frequencies that can be set. Simply choose one and then press Set Clock. Usually you will start with a Read Clock so that you know whether your clock generator is properly handled. If it is properly handled, you will see the current frequecy shown right below the button.

Starting from version 4.09, I've added an Automatic Clock Control feature.

It, basically, allows you to change clock speed based on current CPU utilization. You have to choose two different clock settings. One will be used when CPU utilization is low and the other one will be used when CPU utilization is high.

The Status label will inform you about the latest setting applied by the internal logic and what the logic is about to do (like the “low power preferred' message you can see).

Before activating Automatic Clock Control by checking Use This Clock Generator, you should first double check that the clock speeds you selected are working properly with your system.

Please, note that current clock generators are extremely powerful and that the kind of settings allowed by SpeedFan makes use of built in predefined frequencies. Recent motherboards, though, use advanced clock settings and are not based on internal tables. It depends on several factor whether it will work or not. I'll be happy to know about any success even with unlisted motherboards that have a known clock generator :-)


ChipSet

The ChipSet shown is actually the relevant part of the chipset that is used by SpeedFan to access the SMBus. Sometimes you will find here something like PIIX4E (the good old SouthBridge from Intel BX), some other you'll find here something like SiS735.

The main thing is that if you find something here, then you're motherboard is better supported than if nothing appears :-)

DIMM info

About DIMM INFO. This started as a test to check SMBus functionality. It actually reads (or tries to) info about your RAM. If anything can be read, this should mean that your SMBus has been properly detected and accessed. But, sometimes, you might even see nothing here even if your SMBus is properly accessed. This may happen because either your motherboard does not "publish" those info directly on the SMBus or because your RAM has got a faulty EPROM.

SEND REPORT

The SEND REPORT facility is one of the most useful debugging tools that SpeedFan has got. If you've got something wrong with your SpeedFan, you should use the SEND REPORT facility to send a report. You will be asked for your email address and for your motherboard model.
Your email address is vital if you plan to receive an answer :-)
Here you can find additional info about reporting.

With the report you'll be able to include any text (question, suggestion, blame :-)) you like.

Find SMBus devices

By pressing this button you will be presented a window with another button. Press it to start scanning the SMBus. SpeedFan will simply search for available devices and will do nothing else. This is useful for me to know whether your CLOCK chip or something else is available somewhere on your motherboard.
If you run this function prior to sending a report, its results will be automatically added to the report itself.


About S.M.A.R.T. readings

S.M.A.R.T. technology is really interesting and might be useful at addressing several HD related issues.
SpeedFan can help you by showing S.M.A.R.T. readings from available HDs.

Please note that HDs connected to SCSI and some IDE RAID controllers might not show up. Supporting these controllers is not an easy task. If any manufacturer would like to be supported, I will be pleased to receive any kind of info from them :-)

When looking at the S.M.A.R.T. tab, you will have to select an HD from the available list. You will get something like this:

For every S.M.A.R.T. attribute you will get the current VALUE, the WORST that has ever been registered, the THRESHOLD and the RAW reading.

You will see an icon too:

 | this attribute is OK
 | this attribute is approaching its threshold
 | this attribute has already reached its threshold
<none> | this attribute has not been labeled by the manufacturer as relevant neither for performances, nor for fitness

When any attribute reaches its threshold value, you should carefully consider replacing your HD. Anyway: not every attribute is considered as being "vital". Some of them are internally marked as such, while others are not. Some other attributes are also marked as being performance related and others aren't. According to these settings, SpeedFan computes two indexes. One is FITNESS and the other one is PERFORMANCE. Both these indexes will reach 0% when ANY of the attributes reaches its threshold level. If this is not the case, both indexes will show a linear percentage of how near to "warning condition" is the nearest attribute.
To make a long story short: those indexes will show a linear percentage where, say, 50% means that the attribute that is nearer to its threshold is half way between 100 and the threshold itself. Those indexes actually expand the dynamic.

An example:

attribute | value | worst | threshold | (worst-threshold)/(100-threshold) | fitness
attr #1 | 95 | 80 | 40 | (80-40)/(100-40)=40/60=0.67 | 67%
attr #2 | 99 | 90 | 80 | (90-80)/(100-80)=10/20=0.50 | 50%

The resulting FITNESS is the lowest one: 50%. As you can see, even if the worst value for attr #2 is higher than that for attr #1, its fitness is lower due to a different threshold.

The other common question is "what do all those attributes mean?"

Well... the main problem is that S.M.A.R.T. is a nice idea, but not that documented. I've searched through the internet and managed to find very little info about it. The only evident thing is that any attribute lower than its threshold is a bad thing. Nothing else is for sure.

Linearity in approaching the threshold level is unclear. I assume that, but it's my way of interpreting those info (I had to interpret it some way, didn't I? :-)). According to all the reports I've received, there are, for example, SEAGATE hard disks that report a very poor RAW READ ERROR RATE attribute, leading to a low WORST value and, according to the flags set for this attribute by the manufacturer, to a low FITNESS index. I can tell you little more. This happens even for brand new hard disks from this manufacturer. If you happen to discover more, feel free to let me know :-)


The CHART tab lets you graphically view the last values from your sensors.

Start time and End time show the time interval available for charting.
Whenever SpeedFan reads a new sample for any sensor, it stores it its current value and timestamp. Some sensors are read less often than others. For example: S.M.A.R.T. sensors are read every 60 seconds, whereas other temperatures are collected every 3 seconds. Whatever the sampling rate is, SpeedFan will always show the full available interval. The samples stored for each sensor will be limited. Currently this limit is set to 256 samples, but it might vary in the future. This means that SpeedFan will show, at most, the last 256 samples.

You can select which kind of sensors' readings to compare (temperatures, fan speeds, voltages) and, within each type, you can choose which sensors to graph at the same time. Each sensor will be automatically given a different color.

The graph will be updated in real time.


How to configure TEMPERATURES

Let’s press CONFIGURE and let’s investigate.

This is the TEMPERATURES tab with default settings.

Let’s start working on them.

We’ve now selected TEMP02. As you can see, we have got all the available temperature readings that SpeedFan has detected. In the CHIP column we can see whom the sensor belongs to. In this case we have three different chips: one W83782D and two LM75. We can distinguish the two LM75 because of the different ADDRESS ($48 and $49). LM75s, in this case, are actually aliases created by the W83782D itself and we won’t need them as all temperatures are available through the W83782D itself. This is not always true. Winbonds’ can be configured in a way that actually hides the original temperature reading from the main chip and, in such a case, we would need to access the aliased LM75.

We’re selecting DESIRED and WARNING temperatures according to our system and our whishes. Consider that we’re talking about "whishes". If we set these temperatures as low as 15 degrees, we won’t, most likely, get them at all :-)

As you can see, we first had to select a temperature and then we could select its parameters. We can even rename the default name (with either the mouse or by pressing F2). The renamed name will therefore be shown in the main window in a more descriptive way.

We have renamed TEMP1 and TEMP2 to CPU1 and CPU0.

We’ve finished renaming and setting parameters for each temperature. Since I’ve seen that the highest temperature in my system is CASE temperature, I’ve chosen to have it shown in tray too.

Now we need to hide from the main window those temperatures that are unuseful for our needs. In our case, they are those from LM75s. Not every system has got unuseful sensors, but another case where this might happen is when there are unconnected sensors that report obviously wrong values (like 127 or the like).

Unchecking unwanted temperatures will do the trick.

Now we would like to have those temperatures sorted on the main window. All we have to do is using drag&drop to move them up and down.

So, with a little dragging and dropping, we can achieve the following result.

Ok! The first part related to temperatures has been done.

Let’s move on to the FANS tab.


How to configure FANS

Much like what we did with temperatures, we can rename...

...hide unwanteds from the main window (I haven’t got any fan connected to FAN3)...

...and sort.

Now it’s time for the SPEEDS tab.


How to configure SPEEDS

These are the default settings for my system.

Please, note that not every motherboard will show something here. It depends on which sensors can be found by SpeedFan. The same happens for temperatures, voltages and fans. Not every sensor chip handles all of them. SpeedFan will show everything it can read from available sensors.

As usual, we can rename...

...hide unwanteds from the main window (W83782D has got 4 PWMs, but, for several reasons, it’s quite difficult that you will be able to use them all)...

...and sort them.

Let’s move on the VOLTAGES tab and its default settings.


How to configure VOLTAGES

Here we can find only values from the W83782D (the same thing happened with FANS and SPEEDS). This is due to the fact that LM75 sensors do not report anything else but temperatures. Not all detected chips will show up in each tab. Some chips do report fan speeds, others temperatures and voltages and so on.

SpeedFan assigns default names to each voltage reading and does it following the specifications from the hardware manufacturer for the sensor chip itself. Unfortunately, some motherboard manufacturers do not follow those directions, thus leading to improper readings. SpeedFan is coded keeping generality as a goal and will, therefore, have some minor problems with some odd decision from some manufacturers.

My ABIT BP6 has got a special setting that doesn’t hurt too much: the VBAT reading is not actually from the battery itself, but from the CORE VOLTAGE for one of the two available CPUs.

We can, with little effort, handle this :-)

We can even hide the VINR0 reading as it makes little sense (to me).

Since we can, why don’t we sort voltages too? :-)

Ok. Now we’ve done a lot of work. Let’s go back to the main window and see what’s happened.


Associating temperatures to fans

This is much better than the first look we had at program startup. Flames disappeared and unuseful values are no longer cluttering our nice view :-)

But we’re still having SPEED CPU0 and SPEED CPU1 at 100%.

We would like them to slow down.

Remember that not all of you will have some SPEEDS available. It depends on the hardware monitoring chips you’ve got on your motherboard.

Since I’ve got a W83782D, I’m lucky enough. So... let’s go on :-)

After having accessed the configuration again, we can see that CPU0 temperature refers to all available SPEEDS and that two of them are selected and two are not. This is because we chose to hide two SPEEDS (PWMs) and SpeedFan assumes that those are actually unused and deselects them for us. Nice, isn’t it? :-)

What are those checkboxes for?

Each PWM (SPEED) can speed up or slow down one fan.

Each fan can influence one or more (actually, even none, if you put the fan out of the room :-)) temperatures.

Here we are telling SpeedFan that SPEED CPU0 and SPEED CPU1 (that are renames for the original PWM2 and PWM1) both influence CPU0 temperature. This means that SpeedFan will try to speed up both of them when CPU0 temperature is too high and will try to lower them down when the temperature is lower.

This is how we have configured CPU0 temperature till now.

But this is not actually what’s happening inside my PC!

In my PC, CPU0 temperature is influenced by SPEED CPU0 and CPU1 temperature is influenced by SPEED CPU1.

So... we change the configuration accordingly.

There is still another temperature that we chose to monitor: CASE temperature.

CASE temperature is actually influenced by both fans. We can easily inform SpeedFan about this.

Nice!

Now we can go back to the main window and see what happens to speeds.


The final touch

Nothing...

Why?

Let’s go back to the configuration dialog and select SPEEDS tab.

We can find an interesting option: AUTOMATICALLY VARIATED. SpeedFan defaults to disabled for safety reasons :-)

All we have to do is enabling this option for both SPEED CPU0 and SPEED CPU1.

Now, back to the main window!

WOW! After less than a minute SpeedFan starts its real job and starts decreasing speeds according to all of our settings!

By default, SpeedFan can set each speed as low as 0% and as high as 100%.

By unchecking AUTOMATIC FAN SPEED, you can stop SpeedFan from automatically selecting speeds for you and you can start exploring :-)

What should you explore? You should carefully listen at your fans (not that difficult, isn’t it? :-)) and try to understand which is the lowest speed with an acceptable noise. Some fans are quiet enough even at 50% or so.

After having done some tests, you can go back to the configuration dialog and do the final touch.

One of my fans is quiet enough even at 65%. This is pretty enough as it is still running at 5700 RPM :-) Thanks to this, I set the minimum value to 65%: there is no need for me to go lower as my environment is noisy enough for me to keep the fan running and this will not force SpeedFan to slow down and speed up the fan that often.

My other fan, on the other hand, is a little bit noisier. This is why I set both the minimum and the maximum value for it.

At 90%, the second fan is fast enough to cool the CPU down. At 100%, the noise drawback suggests to use a lower speed :-)

Please, note that if the WARNING temperature is reached, SpeedFan will set fans to 100% no matter what we set here.

What now?

Well... not much. Simply press that OK button and go back to the main window.


Most options are clear (if not, feel free to let me know :-)).

Less obvious options are:

- | Set fans to 100% on program exit
 | This option sets fan at full speed when closing SpeedFan
- | Delta value for fan speeds
 | This is the amount by which SpeedFan will increase or reduce fan speed percentages when it is instructed to change fan speeds according to temperatures
- | Enable DELL support (use this function only on DELL notebooks)
 | This option will try (when you will restart SpeedFan) to access hardware monitoring options available only on some DELL notebooks
- | Debug mode
 | This option will output additional info while the program is running. This info will be useful when asking for support
- | Let SpeedFan access sensors through
 | Most sensors are accessed through ISA or SMBus. ISA is available on every PC, even if there is no ISA SLOT. ISA is fast and if a sensor chip appears both on ISA and on SMBus (like most WINBONDs do), you should prefer ISA access. SMBus is slower, but several sensor are accessible only through it. Please note that disabling ISA and/or SMBus won't avoid SpeedFan from probing those BUSes. SpeedFan will simply not use them after having found them.